Bug 1240375 (php-guzzlehttp-promises)

Summary: Review Request: php-guzzlehttp-promises - Guzzle promises library
Product: [Fedora] Fedora Reporter: Shawn Iwinski <shawn>
Component: Package ReviewAssignee: Remi Collet <fedora>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora, package-review
Target Milestone: ---Flags: fedora: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: php-guzzlehttp-promises-1.0.1-3.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-30 01:10:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1239252    
Attachments:
Description Flags
phpci.log
none
review.txt none

Description Shawn Iwinski 2015-07-06 17:52:37 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/76543649db16b3214088a7eaaaf7c2514b7f195c/php-guzzlehttp-promises/php-guzzlehttp-promises.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-guzzlehttp-promises-1.0.1-1.fc22.src.rpm

Description:
Promises/A+ [1] implementation that handles promise chaining and resolution
interactively, allowing for "infinite" promise chaining while keeping the
stack size constant.

[1] https://promisesaplus.com/


Fedora Account System Username: siwinski

-----

New dependency of php-guzzlehttp-guzzle 6

Comment 1 Shawn Iwinski 2015-07-06 23:04:42 UTC
Also a new dependency of php-aws-sdk 3

Comment 4 Remi Collet 2015-07-15 07:14:57 UTC
Created attachment 1052206 [details]
phpci.log

 phpCompatInfo version 4.4.0 DB built Jul 13 2015 09:14:16 CEST  static analyze results

Comment 5 Remi Collet 2015-07-15 07:15:28 UTC
Created attachment 1052207 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04

Comment 6 Remi Collet 2015-07-15 07:16:02 UTC
Everything looks good.
No blocker.

=== APPROVED ===

Comment 7 Shawn Iwinski 2015-07-15 17:05:53 UTC
THANKS for the review!  FYI: I'll fix the autoloader to use the full path for this pkg after initial import.



New Package SCM Request
=======================
Package Name: php-guzzlehttp-promises
Short Description: Guzzle promises library
Upstream URL: https://github.com/guzzle/promises
Owners: siwinski
Branches: f21 f22
InitialCC:

Comment 8 Gwyn Ciesla 2015-07-15 17:37:03 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-07-19 21:22:44 UTC
php-guzzlehttp-promises-1.0.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-guzzlehttp-promises-1.0.1-3.fc21

Comment 10 Fedora Update System 2015-07-19 21:22:52 UTC
php-guzzlehttp-promises-1.0.1-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-guzzlehttp-promises-1.0.1-3.fc22

Comment 11 Fedora Update System 2015-07-21 08:09:18 UTC
Package php-guzzlehttp-promises-1.0.1-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-guzzlehttp-promises-1.0.1-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11825/php-guzzlehttp-promises-1.0.1-3.fc22
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-07-30 01:10:52 UTC
php-guzzlehttp-promises-1.0.1-3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2015-07-30 01:15:41 UTC
php-guzzlehttp-promises-1.0.1-3.fc22 has been pushed to the Fedora 22 stable repository.